

# GetCrl

Gets a certificate revocation list (CRL).

 **Required permissions: ** `rolesanywhere:GetCrl`. 

## Request Syntax
<a name="API_GetCrl_RequestSyntax"></a>

```
GET /crl/{{crlId}} HTTP/1.1
```

## URI Request Parameters
<a name="API_GetCrl_RequestParameters"></a>

The request uses the following URI parameters.

 ** [crlId](#API_GetCrl_RequestSyntax) **   <a name="rolesanywhere-GetCrl-request-uri-crlId"></a>
The certificate revocation list (CRL) to act on. You can specify one of the following:  
+ The CRL ID.
+ The CRL ARN.
+ The alias ARN of the CRL.
An ARN must be for a CRL in your account and Region.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `([a-f0-9]{8}-([a-z0-9]{4}-){3}[a-z0-9]{12}|arn:aws(-[^:]+)?:rolesanywhere(:.*){2}:(crl|alias/crl)/.*)`   
Required: Yes

## Request Body
<a name="API_GetCrl_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetCrl_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "crl": { 
      "aliasArn": "string",
      "aliasName": "string",
      "createdAt": "string",
      "crlArn": "string",
      "crlData": blob,
      "crlId": "string",
      "enabled": boolean,
      "name": "string",
      "previousAliasName": "string",
      "trustAnchorArn": "string",
      "updatedAt": "string"
   }
}
```

## Response Elements
<a name="API_GetCrl_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [crl](#API_GetCrl_ResponseSyntax) **   <a name="rolesanywhere-GetCrl-response-crl"></a>
The state of the certificate revocation list (CRL) after a read or write operation.  
Type: [CrlDetail](API_CrlDetail.md) object

## Errors
<a name="API_GetCrl_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ResourceNotFoundException **   
The resource could not be found.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The request has failed due to a temporary failure of the service.    
 ** message **   
The exception message.  
 ** retryAfterSeconds **   
The recommended number of seconds after which the client should retry the request.
HTTP Status Code: 503

## See Also
<a name="API_GetCrl_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/rolesanywhere-2018-05-10/GetCrl) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/rolesanywhere-2018-05-10/GetCrl) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/rolesanywhere-2018-05-10/GetCrl) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/rolesanywhere-2018-05-10/GetCrl) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/rolesanywhere-2018-05-10/GetCrl) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/rolesanywhere-2018-05-10/GetCrl) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/rolesanywhere-2018-05-10/GetCrl) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/rolesanywhere-2018-05-10/GetCrl) 
+  [AWS SDK for Python (Boto3)](https://docs.aws.amazon.com/goto/boto3/rolesanywhere-2018-05-10/GetCrl) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/rolesanywhere-2018-05-10/GetCrl) 